*******************************************************************.
* SPSS program for checking and editing data on food expenditure   .
* and creation of standardized quantity data.
*******************************************************************.

* ================================================.
* Standardization of quantity units where possible.
* ================================================.

* This also does a range check for unit code.
* The results are saved in a new file, which becomes the new reference .
* file for food consumption and expenditure. 

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_original.sav'.
FILTER OFF.

* Convert grams into kg where relevant.
* ------------------------------------.
IF (q4_unit=88 and q2_quant>=100) convert = 1.
IF (q4_unit=88 and itemcode>1740 and itemcode<1751 and q2_quant>=25) convert = 1.
EXECUTE.
IF (convert = 1) q2_quant = q2_quant/1000.
IF (convert = 1) q4_unit = 66.
EXECUTE.
IF (q9_unit=88 and q7_quant>=50) conve = 1.
IF (q9_unit=88 and itemcode>1740 and itemcode<1751 and q2_quant>=5) conve = 1.
EXECUTE.
IF (conve = 1) q7_quant = q7_quant/1000.
IF (conve = 1) q9_unit = 66.
EXECUTE.
IF (q4_unit=88 and q2_quant<1 and q5_value>=20) q4_unit=66.
IF (q9_unit=88 and q7_quant<1 and q10_mont>=20) q9_unit=66.

IF (q4_unit=66 and q2_quant<=0.002 and q5_value>=5) q2_quant=q2_quant*1000.
IF (q4_unit=66 and q2_quant<=0.005 and q5_value>=50) q2_quant=q2_quant*1000.
IF (q4_unit=66 and q2_quant<=0.0005) q2_quant=q2_quant*1000.
IF (q4_unit=99 and q2_quant<=0.002 and q5_value>=5) q2_quant=q2_quant*1000.

IF (q9_unit=66 and q7_quant<=0.002 and q10_mont>=5) q7_quant=q7_quant*1000.
IF (q9_unit=66 and q7_quant<=0.005 and q10_mont>=50) q7_quant=q7_quant*1000.
IF (q9_unit=66 and q7_quant<=0.0005) q7_quant=q7_quant*1000.
IF (q9_unit=99 and q7_quant<=0.002 and q10_mont>=5) q7_quant=q7_quant*1000.
EXECUTE.

* Convert ml into L where relevant.
* --------------------------------.
IF (q4_unit=77 and q2_quant>=50) conv = 1.
EXECUTE.
IF (conv = 1) q2_quant = q2_quant/1000.
IF (conv = 1) q4_unit = 99.
EXECUTE.
IF (q9_unit=77 and q7_quant>=50) con = 1.
EXECUTE.
IF (con = 1) q7_quant = q7_quant/1000.
IF (con = 1) q9_unit = 99.
EXECUTE.

* Replace ml with L where relevant.
* --------------------------------.
IF (q4_unit=77 and q2_quant<5 and q5_value >=10) q4_unit = 99.
IF (q9_unit=77 and q7_quant<5 and q10_mont >=10) q9_unit = 99.
EXECUTE.

SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'
  /DROP convert conve conv con
  /COMPRESSED.

* Identify non standard codes                          .
* The objective is to convert the non-standard units   .
* when we have the conversion factor                   .
* -----------------------------------------------------.

* In last two weeks.
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'.
USE ALL.
SELECT IF(q2_quant>0 ).
EXECUTE .
AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/AGGR.SAV'
  /BREAK=stratum dzongkha itemcode q4_unit
  /cases = N(houseno).
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\AGGR.SAV'.
SORT CASES BY
  itemcode (A) q4_unit (A) .
* Remove cases where unit code is already standard.
IF (itemcode=1111 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1112 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1113 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1114 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1119 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1120 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1136 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1131 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1132 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1133 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1134 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1137 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1140 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1211 and q4_unit=99) unit_ok = 1 .
IF (itemcode=1212 and q4_unit=99) unit_ok = 1 .
IF (itemcode=1215 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1219 and q4_unit=99) unit_ok = 1 .
IF (itemcode=1222 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1223 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1224 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1225 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1300 and q4_unit=30) unit_ok = 1 .
IF (itemcode=1410 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1420 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1430 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1511 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1512 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1513 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1514 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1515 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1519 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1521 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1522 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1523 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1529 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1611 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1612 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1613 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1614 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1615 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1616 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1619 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1621 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1622 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1623 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1624 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1625 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1626 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1627 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1628 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1629 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1630 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1631 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1632 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1633 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1639 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1711 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1712 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1720 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1731 and q4_unit=99) unit_ok = 1 .
IF (itemcode=1732 and q4_unit=99) unit_ok = 1 .
IF (itemcode=1733 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1734 and q4_unit=99) unit_ok = 1 .
IF (itemcode=1735 and q4_unit=99) unit_ok = 1 .
IF (itemcode=1739 and q4_unit=99) unit_ok = 1 .
IF (itemcode=1741 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1742 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1743 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1746 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1749 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1750 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1760 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1770 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1780 and q4_unit=66) unit_ok = 1 .
IF (itemcode=1813 and q4_unit=99) unit_ok = 1 .
IF (itemcode=1814 and q4_unit=99) unit_ok = 1 .
IF (itemcode=1815 and q4_unit=99) unit_ok = 1 .
IF (itemcode=1811 and q4_unit=99) unit_ok = 1 .
IF (itemcode=1812 and q4_unit=99) unit_ok = 1 .
IF (itemcode=1821 and q4_unit=99) unit_ok = 1 .
IF (itemcode=1822 and q4_unit=99) unit_ok = 1 .
IF (itemcode=1823 and q4_unit=99) unit_ok = 1 .
EXECUTE .
RECODE
  unit_ok  (SYSMIS=0)  .
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(unit_ok=0 and itemcode <= 1823).
EXECUTE .
RENAME VARIABLES (q4_unit=q_unit). 
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Standardization'+
 ' factors.sav'
  /DROP unit_ok
  /COMPRESSED.

* In typical month.
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'.
FILTER OFF.
USE ALL.
SELECT IF(q7_quant>0 ).
EXECUTE .
AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/AGGR.SAV'
  /BREAK=stratum dzongkha itemcode q9_unit
  /cases = N(houseno).
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\AGGR.SAV'.
SORT CASES BY
  itemcode (A) q9_unit (A) .
* Remove cases where unit code is already standard.
IF (itemcode=1111 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1112 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1113 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1114 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1119 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1120 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1136 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1131 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1132 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1133 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1134 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1137 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1140 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1211 and q9_unit=99) unit_ok = 1 .
IF (itemcode=1212 and q9_unit=99) unit_ok = 1 .
IF (itemcode=1215 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1219 and q9_unit=99) unit_ok = 1 .
IF (itemcode=1222 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1223 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1224 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1225 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1300 and q9_unit=30) unit_ok = 1 .
IF (itemcode=1410 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1420 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1430 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1511 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1512 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1513 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1514 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1515 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1519 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1521 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1522 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1523 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1529 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1611 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1612 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1613 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1614 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1615 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1616 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1619 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1621 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1622 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1623 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1624 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1625 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1626 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1627 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1628 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1629 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1630 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1631 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1632 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1633 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1639 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1711 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1712 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1720 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1731 and q9_unit=99) unit_ok = 1 .
IF (itemcode=1732 and q9_unit=99) unit_ok = 1 .
IF (itemcode=1733 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1734 and q9_unit=99) unit_ok = 1 .
IF (itemcode=1735 and q9_unit=99) unit_ok = 1 .
IF (itemcode=1739 and q9_unit=99) unit_ok = 1 .
IF (itemcode=1741 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1742 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1743 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1746 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1749 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1750 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1760 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1770 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1780 and q9_unit=66) unit_ok = 1 .
IF (itemcode=1813 and q9_unit=99) unit_ok = 1 .
IF (itemcode=1814 and q9_unit=99) unit_ok = 1 .
IF (itemcode=1815 and q9_unit=99) unit_ok = 1 .
IF (itemcode=1811 and q9_unit=99) unit_ok = 1 .
IF (itemcode=1812 and q9_unit=99) unit_ok = 1 .
IF (itemcode=1821 and q9_unit=99) unit_ok = 1 .
IF (itemcode=1822 and q9_unit=99) unit_ok = 1 .
IF (itemcode=1823 and q9_unit=99) unit_ok = 1 .
EXECUTE .
RECODE
  unit_ok  (SYSMIS=0)  .
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(unit_ok=0 and itemcode <= 1823).
EXECUTE .
RENAME VARIABLES (q9_unit=q_unit). 
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp.sav'
  /DROP unit_ok
  /COMPRESSED.

* Merge the two files to generate one single file with all non-standard units.
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Standardization'+
 ' factors.sav'.
ADD FILES /FILE=*
 /FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp.SAV'.
EXECUTE.
* Aggregate to remove duplicated cases.
SORT CASES BY
  stratum (A) dzongkha (A) itemcode (A) q_unit (A) .
AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp.sav'
  /BREAK=stratum dzongkha itemcode q_unit
  /cases = SUM(cases).
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp.sav'.

* Add one variable which gives the standard code for each item.
* ------------------------------------------------------------.
IF (itemcode=1111) std_code = 66 .
IF (itemcode=1112) std_code = 66 .
IF (itemcode=1113) std_code = 66 .
IF (itemcode=1114) std_code = 66 .
IF (itemcode=1119) std_code = 66 .
IF (itemcode=1120) std_code = 66 .
IF (itemcode=1136) std_code = 66 .
IF (itemcode=1131) std_code = 66 .
IF (itemcode=1132) std_code = 66 .
IF (itemcode=1133) std_code = 66 .
IF (itemcode=1134) std_code = 66 .
IF (itemcode=1137) std_code = 66 .
IF (itemcode=1140) std_code = 66 .
IF (itemcode=1211) std_code = 99 .
IF (itemcode=1212) std_code = 99 .
IF (itemcode=1215) std_code = 66 .
IF (itemcode=1219) std_code = 99 .
IF (itemcode=1222) std_code = 66 .
IF (itemcode=1223) std_code = 66 .
IF (itemcode=1224) std_code = 66 .
IF (itemcode=1225) std_code = 66 .
IF (itemcode=1300) std_code = 30 .
IF (itemcode=1410) std_code = 66 .
IF (itemcode=1420) std_code = 66 .
IF (itemcode=1430) std_code = 66 .
IF (itemcode=1511) std_code = 66 .
IF (itemcode=1512) std_code = 66 .
IF (itemcode=1513) std_code = 66 .
IF (itemcode=1514) std_code = 66 .
IF (itemcode=1515) std_code = 66 .
IF (itemcode=1519) std_code = 66 .
IF (itemcode=1521) std_code = 66 .
IF (itemcode=1522) std_code = 66 .
IF (itemcode=1523) std_code = 66 .
IF (itemcode=1529) std_code = 66 .
IF (itemcode=1611) std_code = 66 .
IF (itemcode=1612) std_code = 66 .
IF (itemcode=1613) std_code = 66 .
IF (itemcode=1614) std_code = 66 .
IF (itemcode=1615) std_code = 66 .
IF (itemcode=1616) std_code = 66 .
IF (itemcode=1619) std_code = 66 .
IF (itemcode=1621) std_code = 66 .
IF (itemcode=1622) std_code = 66 .
IF (itemcode=1623) std_code = 66 .
IF (itemcode=1624) std_code = 66 .
IF (itemcode=1625) std_code = 66 .
IF (itemcode=1626) std_code = 66 .
IF (itemcode=1627) std_code = 66 .
IF (itemcode=1628) std_code = 66 .
IF (itemcode=1629) std_code = 66 .
IF (itemcode=1630) std_code = 66 .
IF (itemcode=1631) std_code = 66 .
IF (itemcode=1632) std_code = 66 .
IF (itemcode=1633) std_code = 66 .
IF (itemcode=1639) std_code = 66 .
IF (itemcode=1711) std_code = 66 .
IF (itemcode=1712) std_code = 66 .
IF (itemcode=1720) std_code = 66 .
IF (itemcode=1731) std_code = 99 .
IF (itemcode=1732) std_code = 99 .
IF (itemcode=1733) std_code = 66 .
IF (itemcode=1734) std_code = 99 .
IF (itemcode=1735) std_code = 99 .
IF (itemcode=1739) std_code = 99 .
IF (itemcode=1741) std_code = 66 .
IF (itemcode=1742) std_code = 66 .
IF (itemcode=1743) std_code = 66 .
IF (itemcode=1746) std_code = 66 .
IF (itemcode=1749) std_code = 66 .
IF (itemcode=1750) std_code = 66 .
IF (itemcode=1760) std_code = 66 .
IF (itemcode=1770) std_code = 66 .
IF (itemcode=1780) std_code = 66 .
IF (itemcode=1813) std_code = 99 .
IF (itemcode=1814) std_code = 99 .
IF (itemcode=1815) std_code = 99 .
IF (itemcode=1811) std_code = 99 .
IF (itemcode=1812) std_code = 99 .
IF (itemcode=1821) std_code = 99 .
IF (itemcode=1822) std_code = 99 .
IF (itemcode=1823) std_code = 99 .
EXECUTE.
COMPUTE confact=0.
EXECUTE.
SORT CASES BY
  stratum (A) dzongkha (A) itemcode (A) q_unit (A) .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Standardization'+
 ' factors.sav'
  /COMPRESSED.

* Add one variable with the conversion factors for non-standard codes.
* -------------------------------------------------------------------.
IF (itemcode=1111 and q_unit=1)  confact = 1.703 .
IF (itemcode=1111 and q_unit=2)  confact = 1.677 .
IF (itemcode=1111 and q_unit=4)  confact = 1.950 .
IF (itemcode=1111 and q_unit=7)  confact = 1.856 .
IF (itemcode=1111 and q_unit=10) confact = 1.949 .
IF (itemcode=1111 and q_unit=14) confact = 1.510 .
IF (itemcode=1111 and q_unit=17) confact = 1.737 .
IF (itemcode=1111 and q_unit=18) confact = 0.913 .
IF (itemcode=1111 and q_unit=20) confact = 1.455 .
IF (itemcode=1111 and q_unit=21) confact = 3.735 .
IF (itemcode=1111 and q_unit=23) confact = 0.486 .
IF (itemcode=1111 and q_unit=24) confact = 0.379 .
IF (itemcode=1111 and q_unit=25) confact = 1.453 .
IF (itemcode=1111 and q_unit=88) confact = 0.001 .
IF (itemcode=1112 and q_unit=18) confact = 0.913 .
IF (itemcode=1113 and q_unit=1)  confact = 1.703 .
IF (itemcode=1113 and q_unit=2)  confact = 1.677 .
IF (itemcode=1113 and q_unit=6)  confact = 1.438 .
IF (itemcode=1113 and q_unit=10) confact = 1.949 .
IF (itemcode=1113 and q_unit=12) confact = 1.470 .
IF (itemcode=1113 and q_unit=14) confact = 1.510 .
IF (itemcode=1113 and q_unit=17) confact = 1.737 .
IF (itemcode=1113 and q_unit=18) confact = 0.913 .
IF (itemcode=1113 and q_unit=20) confact = 1.455 .
IF (itemcode=1113 and q_unit=23) confact = 0.486 .
IF (itemcode=1113 and q_unit=24) confact = 0.379 .
IF (itemcode=1113 and q_unit=99) confact = 1.000 .
IF (itemcode=1114 and q_unit=1)  confact = 1.703 .
IF (itemcode=1114 and q_unit=2)  confact = 1.677 .
IF (itemcode=1114 and q_unit=6)  confact = 1.438 .
IF (itemcode=1114 and q_unit=14) confact = 1.510 .
IF (itemcode=1114 and q_unit=17) confact = 1.737 .
IF (itemcode=1114 and q_unit=18) confact = 0.913 .
IF (itemcode=1114 and q_unit=20) confact = 1.455 .
IF (itemcode=1114 and q_unit=21) confact = 3.735 .
IF (itemcode=1114 and q_unit=23) confact = 0.486 .
IF (itemcode=1114 and q_unit=24) confact = 0.379 .
IF (itemcode=1119 and q_unit=1)  confact = 1.703 .
IF (itemcode=1119 and q_unit=2)  confact = 1.677 .
IF (itemcode=1119 and q_unit=12) confact = 1.470 .
IF (itemcode=1119 and q_unit=14) confact = 1.510 .
IF (itemcode=1119 and q_unit=17) confact = 1.737 .
IF (itemcode=1119 and q_unit=21) confact = 3.735 .
IF (itemcode=1119 and q_unit=24) confact = 0.379 .
IF (itemcode=1120 and q_unit=1)  confact = 1.665 .
IF (itemcode=1120 and q_unit=2)  confact = 1.544 .
IF (itemcode=1120 and q_unit=6)  confact = 1.764 .
IF (itemcode=1120 and q_unit=14) confact = 1.630 .
IF (itemcode=1120 and q_unit=17) confact = 1.815 .
IF (itemcode=1120 and q_unit=18) confact = 0.780 .
IF (itemcode=1120 and q_unit=21) confact = 1.400 .
IF (itemcode=1120 and q_unit=22) confact = 3.522 .
IF (itemcode=1120 and q_unit=23) confact = 0.444 .
IF (itemcode=1120 and q_unit=88) confact = 0.001 .
IF (itemcode=1131 and q_unit=1)  confact = 1.135 .
IF (itemcode=1131 and q_unit=2)  confact = 1.098 .
IF (itemcode=1131 and q_unit=3)  confact = 1.774 .
IF (itemcode=1131 and q_unit=5)  confact = 1.340 .
IF (itemcode=1131 and q_unit=6)  confact = 1.318 .
IF (itemcode=1131 and q_unit=10) confact = 1.159 .
IF (itemcode=1131 and q_unit=14) confact = 1.043 .
IF (itemcode=1131 and q_unit=17) confact = 1.047 .
IF (itemcode=1131 and q_unit=18) confact = 0.440 .
IF (itemcode=1131 and q_unit=20) confact = 0.970 .
IF (itemcode=1131 and q_unit=23) confact = 0.414 .
IF (itemcode=1131 and q_unit=24) confact = 0.251 .
IF (itemcode=1131 and q_unit=88) confact = 1.000 .
IF (itemcode=1131 and q_unit=99) confact = 1.000 .
IF (itemcode=1134 and q_unit=1)  confact = 0.862 .
IF (itemcode=1134 and q_unit=2)  confact = 0.868 .
IF (itemcode=1134 and q_unit=6)  confact = 0.525 .
IF (itemcode=1134 and q_unit=10) confact = 0.963 .
IF (itemcode=1134 and q_unit=17) confact = 0.956 .
IF (itemcode=1134 and q_unit=24) confact = 0.190 .
IF (itemcode=1134 and q_unit=25) confact = 0.693 .
IF (itemcode=1134 and q_unit=26) confact = 0.370 .
IF (itemcode=1134 and q_unit=88) confact = 1.000 .
IF (itemcode=1136 and q_unit=99) confact = 1.000 .
IF (itemcode=1140 and q_unit=2)  confact = 1.645 .
IF (itemcode=1140 and q_unit=17) confact = 1.858 .
IF (itemcode=1140 and q_unit=21) confact = 3.424 .
IF (itemcode=1140 and q_unit=23) confact = 0.433 .
IF (itemcode=1140 and q_unit=24) confact = 0.383 .
IF (itemcode=1140 and q_unit=88) confact = 0.001 .
IF (itemcode=1140 and q_unit=99) confact = 1.000 .
IF (itemcode=1211 and q_unit=66) confact = 1.000 .
IF (itemcode=1212 and q_unit=66) confact = 1.000 .
IF (itemcode=1215 and q_unit=99) confact = 1.000 .
IF (itemcode=1219 and q_unit=66) confact = 1.000 .
IF (itemcode=1222 and q_unit=36) confact = 0.388 .
IF (itemcode=1222 and q_unit=37) confact = 0.794 .
IF (itemcode=1222 and q_unit=38) confact = 1.700 .
IF (itemcode=1222 and q_unit=99) confact = 1.000 .
IF (itemcode=1223 and q_unit=36) confact = 0.388 .
IF (itemcode=1223 and q_unit=99) confact = 1.000 .
IF (itemcode=1224 and q_unit=39) confact = 0.900 .
IF (itemcode=1224 and q_unit=99) confact = 1.000 .
IF (itemcode=1225 and q_unit=88) confact = 0.001 .
IF (itemcode=1225 and q_unit=99) confact = 1.000 .
IF (itemcode=1410 and q_unit=88) confact = 0.001 .
IF (itemcode=1420 and q_unit=88) confact = 0.001 .
IF (itemcode=1420 and q_unit=99) confact = 1.000 .
IF (itemcode=1511 and q_unit=36) confact = 0.392 .
IF (itemcode=1511 and q_unit=88) confact = 0.001 .
IF (itemcode=1512 and q_unit=36) confact = 0.395 .
IF (itemcode=1512 and q_unit=88) confact = 0.001 .
IF (itemcode=1513 and q_unit=88) confact = 0.001 .
IF (itemcode=1513 and q_unit=99) confact = 1.000 .
IF (itemcode=1514 and q_unit=88) confact = 0.001 .
IF (itemcode=1515 and q_unit=88) confact = 0.001 .
IF (itemcode=1521 and q_unit=36) confact = 0.374 .
IF (itemcode=1521 and q_unit=88) confact = 0.001 .
IF (itemcode=1521 and q_unit=99) confact = 1.000 .
IF (itemcode=1522 and q_unit=36) confact = 0.395 .
IF (itemcode=1522 and q_unit=88) confact = 0.001 .
IF (itemcode=1522 and q_unit=99) confact = 1.000 .
IF (itemcode=1523 and q_unit=88) confact = 0.001 .
IF (itemcode=1611 and q_unit=30) confact = 0.240 .
IF (itemcode=1611 and q_unit=88) confact = 0.001 .
IF (itemcode=1611 and q_unit=99) confact = 1.000 .
IF (itemcode=1612 and q_unit=30) confact = 0.149 .
IF (itemcode=1612 and q_unit=88) confact = 0.001 .
IF (itemcode=1612 and q_unit=99) confact = 1.000 .
IF (itemcode=1613 and q_unit=30) confact = 0.324 .
IF (itemcode=1613 and q_unit=88) confact = 0.001 .
IF (itemcode=1613 and q_unit=99) confact = 1.000 .
IF (itemcode=1614 and q_unit=30) confact = 0.179 .
IF (itemcode=1615 and q_unit=30) confact = 0.970 .
IF (itemcode=1615 and q_unit=88) confact = 0.001 .
IF (itemcode=1615 and q_unit=99) confact = 1.000 .
IF (itemcode=1616 and q_unit=88) confact = 0.001 .
IF (itemcode=1616 and q_unit=99) confact = 1.000 .
IF (itemcode=1619 and q_unit=88) confact = 0.001 .
IF (itemcode=1621 and q_unit=88) confact = 0.001 .
IF (itemcode=1622 and q_unit=30) confact = 0.159 .
IF (itemcode=1622 and q_unit=88) confact = 0.001 .
IF (itemcode=1622 and q_unit=99) confact = 1.000 .
IF (itemcode=1623 and q_unit=88) confact = 0.001 .
IF (itemcode=1624 and q_unit=28) confact = 0.410 .
IF (itemcode=1624 and q_unit=88) confact = 0.001 .
IF (itemcode=1625 and q_unit=88) confact = 0.001 .
IF (itemcode=1626 and q_unit=14) confact = 1.090 .
IF (itemcode=1626 and q_unit=88) confact = 0.001 .
IF (itemcode=1626 and q_unit=99) confact = 1.000 .
IF (itemcode=1627 and q_unit=88) confact = 0.001 .
IF (itemcode=1627 and q_unit=99) confact = 1.000 .
IF (itemcode=1628 and q_unit=25) confact = 0.198 .
IF (itemcode=1628 and q_unit=88) confact = 0.001 .
IF (itemcode=1629 and q_unit=88) confact = 0.001 .
IF (itemcode=1629 and q_unit=99) confact = 1.000 .
IF (itemcode=1630 and q_unit=88) confact = 0.001 .
IF (itemcode=1631 and q_unit=88) confact = 0.001 .
IF (itemcode=1631 and q_unit=99) confact = 1.000 .
IF (itemcode=1632 and q_unit=28) confact = 1.275 .
IF (itemcode=1633 and q_unit=88) confact = 0.001 .
IF (itemcode=1633 and q_unit=99) confact = 1.000 .
IF (itemcode=1639 and q_unit=88) confact = 0.001 .
IF (itemcode=1639 and q_unit=99) confact = 1.000 .
IF (itemcode=1711 and q_unit=39) confact = 0.143 .
IF (itemcode=1711 and q_unit=88) confact = 0.001 .
IF (itemcode=1712 and q_unit=88) confact = 0.001 .
IF (itemcode=1712 and q_unit=99) confact = 1.000 .
IF (itemcode=1720 and q_unit=88) confact = 0.001 .
IF (itemcode=1720 and q_unit=99) confact = 1.000 .
IF (itemcode=1731 and q_unit=88) confact = 0.001 .
IF (itemcode=1731 and q_unit=66) confact = 1.000 .
IF (itemcode=1732 and q_unit=88) confact = 0.001 .
IF (itemcode=1732 and q_unit=66) confact = 1.000 .
IF (itemcode=1733 and q_unit=88) confact = 0.001 .
IF (itemcode=1733 and q_unit=99) confact = 1.000 .
IF (itemcode=1734 and q_unit=88) confact = 0.001 .
IF (itemcode=1734 and q_unit=66) confact = 1.000 .
IF (itemcode=1735 and q_unit=88) confact = 0.001 .
IF (itemcode=1735 and q_unit=66) confact = 1.000 .
IF (itemcode=1739 and q_unit=88) confact = 0.001 .
IF (itemcode=1739 and q_unit=66) confact = 1.000 .
IF (itemcode=1741 and q_unit=14) confact = 0.150 .
IF (itemcode=1741 and q_unit=88) confact = 0.001 .
IF (itemcode=1741 and q_unit=99) confact = 1.000 .
IF (itemcode=1742 and q_unit=1)  confact = 0.180 .
IF (itemcode=1742 and q_unit=2)  confact = 0.152 .
IF (itemcode=1742 and q_unit=99) confact = 1.000 .
IF (itemcode=1742 and q_unit=6)  confact = 0.170 .
IF (itemcode=1742 and q_unit=8)  confact = 0.200 .
IF (itemcode=1742 and q_unit=12) confact = 0.105 .
IF (itemcode=1742 and q_unit=14) confact = 0.183 .
IF (itemcode=1742 and q_unit=17) confact = 0.148 .
IF (itemcode=1742 and q_unit=18) confact = 0.100 .
IF (itemcode=1742 and q_unit=21) confact = 0.360 .
IF (itemcode=1742 and q_unit=24) confact = 0.150 .
IF (itemcode=1742 and q_unit=25) confact = 0.159 .
IF (itemcode=1742 and q_unit=88) confact = 0.001 .
IF (itemcode=1743 and q_unit=23) confact = 0.280 .
IF (itemcode=1743 and q_unit=24) confact = 0.187 .
IF (itemcode=1743 and q_unit=43) confact = 0.700 .
IF (itemcode=1743 and q_unit=88) confact = 1.000 .
IF (itemcode=1743 and q_unit=99) confact = 1.000 .
IF (itemcode=1746 and q_unit=88) confact = 0.001 .
IF (itemcode=1746 and q_unit=99) confact = 1.000 .
IF (itemcode=1749 and q_unit=88) confact = 0.001 .
IF (itemcode=1749 and q_unit=99) confact = 1.000 .
IF (itemcode=1750 and q_unit=88) confact = 0.001 .
IF (itemcode=1750 and q_unit=99) confact = 1.000 .
IF (itemcode=1760 and q_unit=88) confact = 0.001 .
IF (itemcode=1760 and q_unit=99) confact = 1.000 .
IF (itemcode=1770 and q_unit=88) confact = 0.001 .
IF (itemcode=1780 and q_unit=88) confact = 0.001 .
IF (itemcode=1780 and q_unit=99) confact = 1.000 .
IF (itemcode=1811 and q_unit=66) confact = 1.000 .
IF (itemcode=1813 and q_unit=66) confact = 1.000 .
IF (itemcode=1814 and q_unit=66) confact = 1.000 .
IF (itemcode=1815 and q_unit=66) confact = 1.000 .
IF (itemcode=1821 and q_unit=66) confact = 1.000 .
IF (itemcode=1822 and q_unit=66) confact = 1.000 .
IF (itemcode=1823 and q_unit=66) confact = 1.000 .
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(confact>0).
EXECUTE .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Standardization'+
 ' factors.sav'
  /COMPRESSED.

* We merge this new file with block8 data to convert quantity in standard unit when .
* possible. We save this file as Block8_edited .
* ----------------------------------------------------------------------------------.

* For last two weeks.
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Standardization'+
 ' factors.sav'.
RENAME VARIABLES (q_unit=q4_unit).
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Standardization'+
 ' factors.sav'
  /COMPRESSED.
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'.
SORT CASES BY
  stratum (A) dzongkha (A) itemcode (A) q4_unit (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Standardization'+
 ' factors.sav'
 /RENAME (cases = d0)
 /BY stratum dzongkha itemcode q4_unit
 /DROP= d0 .
EXECUTE.
IF (q2_quant>0 and q4_unit<>std_code and confact>0) q2_quant = q2_quant*confact .
IF (q2_quant>0 and q4_unit<>std_code and confact>0) q4_unit = std_code .
EXECUTE .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'
  /DROP std_code confact
  /COMPRESSED.

* For typical month.
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Standardization'+
 ' factors.sav'.
RENAME VARIABLES (q4_unit=q9_unit).
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Standardization'+
 ' factors.sav'
  /COMPRESSED.
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'.
SORT CASES BY
  stratum (A) dzongkha (A) itemcode (A) q9_unit (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Standardization'+
 ' factors.sav'
 /RENAME (cases = d0)
 /BY stratum dzongkha itemcode q9_unit
 /DROP= d0 .
EXECUTE.
IF (q7_quant>0 and q9_unit<>std_code and confact>0) q7_quant = q7_quant*confact .
IF (q7_quant>0 and q9_unit<>std_code and confact>0) q9_unit = std_code .
EXECUTE .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'
  /DROP std_code confact
  /COMPRESSED.

* We create a file giving us the frequency of unit code for each item.
* This will identify the non-standard but high frequency unit codes  .
* We will also use this information later to remove the invalid      .
* quantity unit codes (see variable bad_code).
* -------------------------------------------------------------------.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'.

USE ALL.
COMPUTE filter_$=(q5_value>0).
FILTER BY filter_$.
EXECUTE .
AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/AGGR.SAV'
  /BREAK=stratum dzongkha itemcode q4_unit
  /cases2w 'Nb cases in last 2 weeks' = N(q4_unit).

USE ALL.
COMPUTE filter_$=(q10_mont>0).
FILTER BY filter_$.
EXECUTE .
AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/temp.SAV'
  /BREAK=stratum dzongkha itemcode q9_unit
  /casestm 'Nb cases in typical month' = N(q9_unit).

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\AGGR.SAV'.
RENAME VARIABLES (q4_unit=q9_unit).
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp.sav'
 /BY stratum dzongkha itemcode q9_unit.
EXECUTE.
RENAME VARIABLES (q9_unit=q_unit).
RECODE
  cases2w casestm  (SYSMIS=0)  .
EXECUTE .
IF (cases2w>=casestm) cases = cases2w .
IF (cases2w<casestm) cases = casestm .
EXECUTE .
IF (cases<10) keepcode = 0 .
IF (cases>=10) keepcode = 1 .
EXECUTE .
* All standard codes are to be kept, no matter the number of cases.
IF (itemcode=1111 and q_unit=66) keepcode= 1 .
IF (itemcode=1112 and q_unit=66) keepcode= 1 .
IF (itemcode=1113 and q_unit=66) keepcode= 1 .
IF (itemcode=1114 and q_unit=66) keepcode= 1 .
IF (itemcode=1119 and q_unit=66) keepcode= 1 .
IF (itemcode=1120 and q_unit=66) keepcode= 1 .
IF (itemcode=1136 and q_unit=66) keepcode= 1 .
IF (itemcode=1131 and q_unit=66) keepcode= 1 .
IF (itemcode=1132 and q_unit=66) keepcode= 1 .
IF (itemcode=1133 and q_unit=66) keepcode= 1 .
IF (itemcode=1134 and q_unit=66) keepcode= 1 .
IF (itemcode=1137 and q_unit=66) keepcode= 1 .
IF (itemcode=1140 and q_unit=66) keepcode= 1 .
IF (itemcode=1211 and q_unit=99) keepcode= 1 .
IF (itemcode=1212 and q_unit=99) keepcode= 1 .
IF (itemcode=1215 and q_unit=66) keepcode= 1 .
IF (itemcode=1219 and q_unit=99) keepcode= 1 .
IF (itemcode=1222 and q_unit=66) keepcode= 1 .
IF (itemcode=1223 and q_unit=66) keepcode= 1 .
IF (itemcode=1224 and q_unit=66) keepcode= 1 .
IF (itemcode=1225 and q_unit=66) keepcode= 1 .
IF (itemcode=1300 and q_unit=30) keepcode= 1 .
IF (itemcode=1410 and q_unit=66) keepcode= 1 .
IF (itemcode=1420 and q_unit=66) keepcode= 1 .
IF (itemcode=1430 and q_unit=66) keepcode= 1 .
IF (itemcode=1511 and q_unit=66) keepcode= 1 .
IF (itemcode=1512 and q_unit=66) keepcode= 1 .
IF (itemcode=1513 and q_unit=66) keepcode= 1 .
IF (itemcode=1514 and q_unit=66) keepcode= 1 .
IF (itemcode=1515 and q_unit=66) keepcode= 1 .
IF (itemcode=1519 and q_unit=66) keepcode= 1 .
IF (itemcode=1521 and q_unit=66) keepcode= 1 .
IF (itemcode=1522 and q_unit=66) keepcode= 1 .
IF (itemcode=1523 and q_unit=66) keepcode= 1 .
IF (itemcode=1529 and q_unit=66) keepcode= 1 .
IF (itemcode=1611 and q_unit=66) keepcode= 1 .
IF (itemcode=1612 and q_unit=66) keepcode= 1 .
IF (itemcode=1613 and q_unit=66) keepcode= 1 .
IF (itemcode=1614 and q_unit=66) keepcode= 1 .
IF (itemcode=1615 and q_unit=66) keepcode= 1 .
IF (itemcode=1616 and q_unit=66) keepcode= 1 .
IF (itemcode=1619 and q_unit=66) keepcode= 1 .
IF (itemcode=1621 and q_unit=66) keepcode= 1 .
IF (itemcode=1622 and q_unit=66) keepcode= 1 .
IF (itemcode=1623 and q_unit=66) keepcode= 1 .
IF (itemcode=1624 and q_unit=66) keepcode= 1 .
IF (itemcode=1625 and q_unit=66) keepcode= 1 .
IF (itemcode=1626 and q_unit=66) keepcode= 1 .
IF (itemcode=1627 and q_unit=66) keepcode= 1 .
IF (itemcode=1628 and q_unit=66) keepcode= 1 .
IF (itemcode=1629 and q_unit=66) keepcode= 1 .
IF (itemcode=1630 and q_unit=66) keepcode= 1 .
IF (itemcode=1631 and q_unit=66) keepcode= 1 .
IF (itemcode=1632 and q_unit=66) keepcode= 1 .
IF (itemcode=1633 and q_unit=66) keepcode= 1 .
IF (itemcode=1639 and q_unit=66) keepcode= 1 .
IF (itemcode=1711 and q_unit=66) keepcode= 1 .
IF (itemcode=1712 and q_unit=66) keepcode= 1 .
IF (itemcode=1720 and q_unit=66) keepcode= 1 .
IF (itemcode=1731 and q_unit=99) keepcode= 1 .
IF (itemcode=1732 and q_unit=99) keepcode= 1 .
IF (itemcode=1733 and q_unit=66) keepcode= 1 .
IF (itemcode=1734 and q_unit=99) keepcode= 1 .
IF (itemcode=1735 and q_unit=99) keepcode= 1 .
IF (itemcode=1739 and q_unit=99) keepcode= 1 .
IF (itemcode=1741 and q_unit=66) keepcode= 1 .
IF (itemcode=1742 and q_unit=66) keepcode= 1 .
IF (itemcode=1743 and q_unit=66) keepcode= 1 .
IF (itemcode=1746 and q_unit=66) keepcode= 1 .
IF (itemcode=1749 and q_unit=66) keepcode= 1 .
IF (itemcode=1750 and q_unit=66) keepcode= 1 .
IF (itemcode=1760 and q_unit=66) keepcode= 1 .
IF (itemcode=1770 and q_unit=66) keepcode= 1 .
IF (itemcode=1780 and q_unit=66) keepcode= 1 .
IF (itemcode=1813 and q_unit=99) keepcode= 1 .
IF (itemcode=1814 and q_unit=99) keepcode= 1 .
IF (itemcode=1815 and q_unit=99) keepcode= 1 .
IF (itemcode=1811 and q_unit=99) keepcode= 1 .
IF (itemcode=1812 and q_unit=99) keepcode= 1 .
IF (itemcode=1821 and q_unit=99) keepcode= 1 .
IF (itemcode=1822 and q_unit=99) keepcode= 1 .
IF (itemcode=1823 and q_unit=99) keepcode= 1 .
EXECUTE .
SORT CASES BY
  stratum (A) dzongkha (A) itemcode (A) q_unit (A) .
RECODE
  keepcode
  (1=0)  (0=1)  INTO  bad_code .
EXECUTE .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Cases unit codes.sav'
  /COMPRESSED.

* =============================================================================.
* We create files giving the mean and median unit prices by item and unit, for .
* the acceptable unit codes. We generate such files at the Dzongkha, Gewog and .
* Stratum levels. We will use these data for imputations                       .
* Computations are made separately for purchased and produced items, using     .
* data for last two weeks.    
* =============================================================================.

* Using data for last two weeks.

* For purchased items.
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'.
RENAME VARIABLES (q4_unit=q_unit).
SORT CASES BY
  stratum (A) dzongkha (A) itemcode (A) q_unit (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Cases unit'+
 ' codes.sav'
 /BY stratum dzongkha itemcode q_unit.
EXECUTE.
USE ALL.
COMPUTE filter_$=(keepcode=1 and q1_sourc=1).
FILTER BY filter_$.
EXECUTE .
WEIGHT
  BY weight .
IF (q5_value>0 and q2_quant>0) unit_pr = q5_value/q2_quant .
EXECUTE .
AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/Purchased Prices Gewog level.SAV'
  /BREAK=stratum dzongkha town itemcode q_unit
  /cases = NU(cases) /unit_pr 'Mean unit price' = MEAN(unit_pr).
AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/Purchased Prices Dzongkha level.SAV'
  /BREAK=stratum dzongkha itemcode q_unit
  /cases = NU(cases) /unit_pr 'Mean unit price' = MEAN(unit_pr).
AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/Purchased Prices Stratum level.SAV'
  /BREAK=stratum itemcode q_unit
  /cases = NU(cases) /unit_pr 'Mean unit price' = MEAN(unit_pr).

* Produce a table with the mean and median at gewog level.
COMPUTE geo = stratum*10000000000 + dzongkha*100000000 + town*10000000 +
  itemcode*100 + q_unit .
EXECUTE .
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= unit_pr
  /GBASE=CASES
  /TABLE=geo  BY unit_pr
  /STATISTICS
  median( unit_pr) mean ( unit_pr).
* Produce a table with the median at Dzongkha level.
COMPUTE geo = stratum*100000000 + dzongkha*1000000 + itemcode*100 + q_unit .
EXECUTE .
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= unit_pr
  /GBASE=CASES
  /TABLE=geo  BY unit_pr
  /STATISTICS
  median( unit_pr) mean ( unit_pr).
* Produce a table with the median at Stratum level.
COMPUTE geo = stratum*1000000 + itemcode*100 + q_unit .
EXECUTE .
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= unit_pr
  /GBASE=CASES
  /TABLE=geo  BY unit_pr
  /STATISTICS
  median( unit_pr) mean ( unit_pr).
*********************************************************************************.
*********************************************************************************.
* Manually save the content of these tables in temporary files, and sort by geo  .
*********************************************************************************.
*********************************************************************************.

* We add one variable in the file at Gewog level, which will provide the unit code to be  .
* used for imputations. When the number of cases at gewog level is too low, we use a      .
* higher level.
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Purchased Prices'+
 ' Gewog level.SAV'.
RENAME VARIABLES (unit_pr=u_pr_gew) (cases=case_gew).
SORT CASES BY
  stratum (A) dzongkha (A) itemcode (A) q_unit (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Purchased Prices Dzongkha'+
 ' level.SAV'
 /BY stratum dzongkha itemcode q_unit.
EXECUTE.
RENAME VARIABLES (unit_pr=u_pr_dzo) (cases=case_dzo).
SORT CASES BY
  stratum (A) itemcode (A) q_unit (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Purchased Prices Stratum'+
 ' level.SAV'
 /BY stratum itemcode q_unit.
EXECUTE.
RENAME VARIABLES (unit_pr=u_pr_str) (cases=case_str).
IF (case_gew>=20) mean_pr = u_pr_gew .
IF (case_gew<20 and case_dzo>=20) mean_pr = u_pr_dzo .
IF (case_dzo<20) mean_pr = u_pr_str .
EXECUTE .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Purchased'+
 ' Prices Gewog level.SAV'
  /COMPRESSED.

* Add the information on median in the files containing the means. 
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Purchased Prices'+
 ' Gewog level.SAV'.
COMPUTE geo = stratum*10000000000 + dzongkha*100000000 + town* 10000000 +
  itemcode*100 + q_unit .
EXECUTE .
SORT CASES BY
  geo (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Median Purchased'+
 ' Prices Gewog level.SAV'
 /BY geo.
EXECUTE.
COMPUTE geo = stratum*100000000 + dzongkha*1000000 + itemcode*100 + q_unit .
EXECUTE .
SORT CASES BY
  geo (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Median Purchased'+
 ' Prices Dzongkha level.SAV'
 /BY geo.
EXECUTE.
COMPUTE geo = stratum*1000000 + itemcode*100 + q_unit .
EXECUTE .
SORT CASES BY
  geo (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Median Purchased'+
 ' Prices Stratum level.SAV'
 /BY geo.
EXECUTE.
IF (case_gew>=20) med_pr = med_gew .
IF (case_gew<20 and case_dzo>=20) med_pr = med_dzo .
IF (case_dzo<20) med_pr = med_str .
EXECUTE .
RENAME VARIABLES (u_pr_gew=mean_gew) (u_pr_dzo=mean_dzo) (u_pr_str=mean_str). 
* Add one variable providing the standard code for each item.
IF (itemcode=1111) std_code = 66 .
IF (itemcode=1112) std_code = 66 .
IF (itemcode=1113) std_code = 66 .
IF (itemcode=1114) std_code = 66 .
IF (itemcode=1119) std_code = 66 .
IF (itemcode=1120) std_code = 66 .
IF (itemcode=1136) std_code = 66 .
IF (itemcode=1131) std_code = 66 .
IF (itemcode=1132) std_code = 66 .
IF (itemcode=1133) std_code = 66 .
IF (itemcode=1134) std_code = 66 .
IF (itemcode=1137) std_code = 66 .
IF (itemcode=1140) std_code = 66 .
IF (itemcode=1211) std_code = 99 .
IF (itemcode=1212) std_code = 99 .
IF (itemcode=1215) std_code = 66 .
IF (itemcode=1219) std_code = 99 .
IF (itemcode=1222) std_code = 66 .
IF (itemcode=1223) std_code = 66 .
IF (itemcode=1224) std_code = 66 .
IF (itemcode=1225) std_code = 66 .
IF (itemcode=1300) std_code = 30 .
IF (itemcode=1410) std_code = 66 .
IF (itemcode=1420) std_code = 66 .
IF (itemcode=1430) std_code = 66 .
IF (itemcode=1511) std_code = 66 .
IF (itemcode=1512) std_code = 66 .
IF (itemcode=1513) std_code = 66 .
IF (itemcode=1514) std_code = 66 .
IF (itemcode=1515) std_code = 66 .
IF (itemcode=1519) std_code = 66 .
IF (itemcode=1521) std_code = 66 .
IF (itemcode=1522) std_code = 66 .
IF (itemcode=1523) std_code = 66 .
IF (itemcode=1529) std_code = 66 .
IF (itemcode=1611) std_code = 66 .
IF (itemcode=1612) std_code = 66 .
IF (itemcode=1613) std_code = 66 .
IF (itemcode=1614) std_code = 66 .
IF (itemcode=1615) std_code = 66 .
IF (itemcode=1616) std_code = 66 .
IF (itemcode=1619) std_code = 66 .
IF (itemcode=1621) std_code = 66 .
IF (itemcode=1622) std_code = 66 .
IF (itemcode=1623) std_code = 66 .
IF (itemcode=1624) std_code = 66 .
IF (itemcode=1625) std_code = 66 .
IF (itemcode=1626) std_code = 66 .
IF (itemcode=1627) std_code = 66 .
IF (itemcode=1628) std_code = 66 .
IF (itemcode=1629) std_code = 66 .
IF (itemcode=1630) std_code = 66 .
IF (itemcode=1631) std_code = 66 .
IF (itemcode=1632) std_code = 66 .
IF (itemcode=1633) std_code = 66 .
IF (itemcode=1639) std_code = 66 .
IF (itemcode=1711) std_code = 66 .
IF (itemcode=1712) std_code = 66 .
IF (itemcode=1720) std_code = 66 .
IF (itemcode=1731) std_code = 99 .
IF (itemcode=1732) std_code = 99 .
IF (itemcode=1733) std_code = 66 .
IF (itemcode=1734) std_code = 99 .
IF (itemcode=1735) std_code = 99 .
IF (itemcode=1739) std_code = 99 .
IF (itemcode=1741) std_code = 66 .
IF (itemcode=1742) std_code = 66 .
IF (itemcode=1743) std_code = 66 .
IF (itemcode=1746) std_code = 66 .
IF (itemcode=1749) std_code = 66 .
IF (itemcode=1750) std_code = 66 .
IF (itemcode=1760) std_code = 66 .
IF (itemcode=1770) std_code = 66 .
IF (itemcode=1780) std_code = 66 .
IF (itemcode=1813) std_code = 99 .
IF (itemcode=1814) std_code = 99 .
IF (itemcode=1815) std_code = 99 .
IF (itemcode=1811) std_code = 99 .
IF (itemcode=1812) std_code = 99 .
IF (itemcode=1821) std_code = 99 .
IF (itemcode=1822) std_code = 99 .
IF (itemcode=1823) std_code = 99 .
EXECUTE.
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Purchased'+
 ' Prices Gewog level.SAV'
  /DROP geo
  /COMPRESSED.

* For produced items.
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'.
RENAME VARIABLES (q9_unit=q_unit).
SORT CASES BY
  stratum (A) dzongkha (A) itemcode (A) q_unit (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Cases unit'+
 ' codes.sav'
 /BY stratum dzongkha itemcode q_unit.
EXECUTE.
USE ALL.
COMPUTE filter_$=(keepcode=1 and q1_sourc=2).
FILTER BY filter_$.
EXECUTE .
WEIGHT
  BY weight .
IF (q10_mont>0 and q7_quant>0) unit_pr = q10_mont/q7_quant .
EXECUTE .
AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/Produced Prices Gewog level.SAV'
  /BREAK=stratum dzongkha town itemcode q_unit
  /cases = NU(cases) /unit_pr 'Mean unit price' = MEAN(unit_pr).
AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/Produced Prices Dzongkha level.SAV'
  /BREAK=stratum dzongkha itemcode q_unit
  /cases = NU(cases) /unit_pr 'Mean unit price' = MEAN(unit_pr).
AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/Produced Prices Stratum level.SAV'
  /BREAK=stratum itemcode q_unit
  /cases = NU(cases) /unit_pr 'Mean unit price' = MEAN(unit_pr).

* Produce a table with the mean and median at gewog level.
COMPUTE geo = stratum*10000000000 + dzongkha*100000000 + town*10000000 +
  itemcode*100 + q_unit .
EXECUTE .
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= unit_pr
  /GBASE=CASES
  /TABLE=geo  BY unit_pr
  /STATISTICS
  median( unit_pr) mean ( unit_pr).
* Produce a table with the median at Dzongkha level.
COMPUTE geo = stratum*100000000 + dzongkha*1000000 + itemcode*100 + q_unit .
EXECUTE .
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= unit_pr
  /GBASE=CASES
  /TABLE=geo  BY unit_pr
  /STATISTICS
  median( unit_pr) mean ( unit_pr).
* Produce a table with the median at Stratum level.
COMPUTE geo = stratum*1000000 + itemcode*100 + q_unit .
EXECUTE .
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= unit_pr
  /GBASE=CASES
  /TABLE=geo  BY unit_pr
  /STATISTICS
  median( unit_pr) mean ( unit_pr).
*********************************************************************************.
*********************************************************************************.
* Manually save the content of these tables in temporary files, and sort by geo  .
*********************************************************************************.
*********************************************************************************.

* We add one variable in the file at Gewog level, which will provide the unit code to be  .
* used for imputations. When the number of cases at gewog level is too low, we use a      .
* higher level.
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Produced Prices'+
 ' Gewog level.SAV'.
RENAME VARIABLES (unit_pr=u_pr_gew) (cases=case_gew).
SORT CASES BY
  stratum (A) dzongkha (A) itemcode (A) q_unit (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Produced Prices Dzongkha'+
 ' level.SAV'
 /BY stratum dzongkha itemcode q_unit.
EXECUTE.
RENAME VARIABLES (unit_pr=u_pr_dzo) (cases=case_dzo).
SORT CASES BY
  stratum (A) itemcode (A) q_unit (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Produced Prices Stratum'+
 ' level.SAV'
 /BY stratum itemcode q_unit.
EXECUTE.
RENAME VARIABLES (unit_pr=u_pr_str) (cases=case_str).
IF (case_gew>=20) mean_pr = u_pr_gew .
IF (case_gew<20 and case_dzo>=20) mean_pr = u_pr_dzo .
IF (case_dzo<20) mean_pr = u_pr_str .
EXECUTE .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Produced'+
 ' Prices Gewog level.SAV'
  /COMPRESSED.

* Add the information on median in the files containing the means. 
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Produced Prices'+
 ' Gewog level.SAV'.
COMPUTE geo = stratum*10000000000 + dzongkha*100000000 + town* 10000000 +
  itemcode*100 + q_unit .
EXECUTE .
SORT CASES BY
  geo (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Median Produced'+
 ' Prices Gewog level.SAV'
 /BY geo.
EXECUTE.
COMPUTE geo = stratum*100000000 + dzongkha*1000000 + itemcode*100 + q_unit .
EXECUTE .
SORT CASES BY
  geo (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Median Produced'+
 ' Prices Dzongkha level.SAV'
 /BY geo.
EXECUTE.
COMPUTE geo = stratum*1000000 + itemcode*100 + q_unit .
EXECUTE .
SORT CASES BY
  geo (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Median Produced'+
 ' Prices Stratum level.SAV'
 /BY geo.
EXECUTE.
IF (case_gew>=20) med_pr = med_gew .
IF (case_gew<20 and case_dzo>=20) med_pr = med_dzo .
IF (case_dzo<20) med_pr = med_str .
EXECUTE .
RENAME VARIABLES (u_pr_gew=mean_gew) (u_pr_dzo=mean_dzo) (u_pr_str=mean_str). 
* Add one variable providing the standard code for each item.
IF (itemcode=1111) std_code = 66 .
IF (itemcode=1112) std_code = 66 .
IF (itemcode=1113) std_code = 66 .
IF (itemcode=1114) std_code = 66 .
IF (itemcode=1119) std_code = 66 .
IF (itemcode=1120) std_code = 66 .
IF (itemcode=1136) std_code = 66 .
IF (itemcode=1131) std_code = 66 .
IF (itemcode=1132) std_code = 66 .
IF (itemcode=1133) std_code = 66 .
IF (itemcode=1134) std_code = 66 .
IF (itemcode=1137) std_code = 66 .
IF (itemcode=1140) std_code = 66 .
IF (itemcode=1211) std_code = 99 .
IF (itemcode=1212) std_code = 99 .
IF (itemcode=1215) std_code = 66 .
IF (itemcode=1219) std_code = 99 .
IF (itemcode=1222) std_code = 66 .
IF (itemcode=1223) std_code = 66 .
IF (itemcode=1224) std_code = 66 .
IF (itemcode=1225) std_code = 66 .
IF (itemcode=1300) std_code = 30 .
IF (itemcode=1410) std_code = 66 .
IF (itemcode=1420) std_code = 66 .
IF (itemcode=1430) std_code = 66 .
IF (itemcode=1511) std_code = 66 .
IF (itemcode=1512) std_code = 66 .
IF (itemcode=1513) std_code = 66 .
IF (itemcode=1514) std_code = 66 .
IF (itemcode=1515) std_code = 66 .
IF (itemcode=1519) std_code = 66 .
IF (itemcode=1521) std_code = 66 .
IF (itemcode=1522) std_code = 66 .
IF (itemcode=1523) std_code = 66 .
IF (itemcode=1529) std_code = 66 .
IF (itemcode=1611) std_code = 66 .
IF (itemcode=1612) std_code = 66 .
IF (itemcode=1613) std_code = 66 .
IF (itemcode=1614) std_code = 66 .
IF (itemcode=1615) std_code = 66 .
IF (itemcode=1616) std_code = 66 .
IF (itemcode=1619) std_code = 66 .
IF (itemcode=1621) std_code = 66 .
IF (itemcode=1622) std_code = 66 .
IF (itemcode=1623) std_code = 66 .
IF (itemcode=1624) std_code = 66 .
IF (itemcode=1625) std_code = 66 .
IF (itemcode=1626) std_code = 66 .
IF (itemcode=1627) std_code = 66 .
IF (itemcode=1628) std_code = 66 .
IF (itemcode=1629) std_code = 66 .
IF (itemcode=1630) std_code = 66 .
IF (itemcode=1631) std_code = 66 .
IF (itemcode=1632) std_code = 66 .
IF (itemcode=1633) std_code = 66 .
IF (itemcode=1639) std_code = 66 .
IF (itemcode=1711) std_code = 66 .
IF (itemcode=1712) std_code = 66 .
IF (itemcode=1720) std_code = 66 .
IF (itemcode=1731) std_code = 99 .
IF (itemcode=1732) std_code = 99 .
IF (itemcode=1733) std_code = 66 .
IF (itemcode=1734) std_code = 99 .
IF (itemcode=1735) std_code = 99 .
IF (itemcode=1739) std_code = 99 .
IF (itemcode=1741) std_code = 66 .
IF (itemcode=1742) std_code = 66 .
IF (itemcode=1743) std_code = 66 .
IF (itemcode=1746) std_code = 66 .
IF (itemcode=1749) std_code = 66 .
IF (itemcode=1750) std_code = 66 .
IF (itemcode=1760) std_code = 66 .
IF (itemcode=1770) std_code = 66 .
IF (itemcode=1780) std_code = 66 .
IF (itemcode=1813) std_code = 99 .
IF (itemcode=1814) std_code = 99 .
IF (itemcode=1815) std_code = 99 .
IF (itemcode=1811) std_code = 99 .
IF (itemcode=1812) std_code = 99 .
IF (itemcode=1821) std_code = 99 .
IF (itemcode=1822) std_code = 99 .
IF (itemcode=1823) std_code = 99 .
EXECUTE.
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Produced'+
 ' Prices Gewog level.SAV'
  /DROP geo
  /COMPRESSED.

* ===========================================================================.
* Fix cases where invalid quantity unit codes were used.
* We will impute quantity and code based on median regional prices.
* ===========================================================================.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Purchased Prices'+
 ' Gewog level.SAV'.
FILTER OFF.
USE ALL.
SELECT IF(q_unit=std_code).
EXECUTE .
SORT CASES BY
  stratum (A) dzongkha (A) town (A) itemcode (A) .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp1a.SAV'
  /COMPRESSED.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Produced Prices'+
 ' Gewog level.SAV'.
FILTER OFF.
USE ALL.
SELECT IF(q_unit=std_code).
EXECUTE .
SORT CASES BY
  stratum (A) dzongkha (A) town (A) itemcode (A) .
RENAME VARIABLES (med_pr = med_prpr).
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp2a.SAV'
  /COMPRESSED.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'.
* Add one variable providing the standard code for each item.
IF (itemcode=1111) std_code = 66 .
IF (itemcode=1112) std_code = 66 .
IF (itemcode=1113) std_code = 66 .
IF (itemcode=1114) std_code = 66 .
IF (itemcode=1119) std_code = 66 .
IF (itemcode=1120) std_code = 66 .
IF (itemcode=1136) std_code = 66 .
IF (itemcode=1131) std_code = 66 .
IF (itemcode=1132) std_code = 66 .
IF (itemcode=1133) std_code = 66 .
IF (itemcode=1134) std_code = 66 .
IF (itemcode=1137) std_code = 66 .
IF (itemcode=1140) std_code = 66 .
IF (itemcode=1211) std_code = 99 .
IF (itemcode=1212) std_code = 99 .
IF (itemcode=1215) std_code = 66 .
IF (itemcode=1219) std_code = 99 .
IF (itemcode=1222) std_code = 66 .
IF (itemcode=1223) std_code = 66 .
IF (itemcode=1224) std_code = 66 .
IF (itemcode=1225) std_code = 66 .
IF (itemcode=1300) std_code = 30 .
IF (itemcode=1410) std_code = 66 .
IF (itemcode=1420) std_code = 66 .
IF (itemcode=1430) std_code = 66 .
IF (itemcode=1511) std_code = 66 .
IF (itemcode=1512) std_code = 66 .
IF (itemcode=1513) std_code = 66 .
IF (itemcode=1514) std_code = 66 .
IF (itemcode=1515) std_code = 66 .
IF (itemcode=1519) std_code = 66 .
IF (itemcode=1521) std_code = 66 .
IF (itemcode=1522) std_code = 66 .
IF (itemcode=1523) std_code = 66 .
IF (itemcode=1529) std_code = 66 .
IF (itemcode=1611) std_code = 66 .
IF (itemcode=1612) std_code = 66 .
IF (itemcode=1613) std_code = 66 .
IF (itemcode=1614) std_code = 66 .
IF (itemcode=1615) std_code = 66 .
IF (itemcode=1616) std_code = 66 .
IF (itemcode=1619) std_code = 66 .
IF (itemcode=1621) std_code = 66 .
IF (itemcode=1622) std_code = 66 .
IF (itemcode=1623) std_code = 66 .
IF (itemcode=1624) std_code = 66 .
IF (itemcode=1625) std_code = 66 .
IF (itemcode=1626) std_code = 66 .
IF (itemcode=1627) std_code = 66 .
IF (itemcode=1628) std_code = 66 .
IF (itemcode=1629) std_code = 66 .
IF (itemcode=1630) std_code = 66 .
IF (itemcode=1631) std_code = 66 .
IF (itemcode=1632) std_code = 66 .
IF (itemcode=1633) std_code = 66 .
IF (itemcode=1639) std_code = 66 .
IF (itemcode=1711) std_code = 66 .
IF (itemcode=1712) std_code = 66 .
IF (itemcode=1720) std_code = 66 .
IF (itemcode=1731) std_code = 99 .
IF (itemcode=1732) std_code = 99 .
IF (itemcode=1733) std_code = 66 .
IF (itemcode=1734) std_code = 99 .
IF (itemcode=1735) std_code = 99 .
IF (itemcode=1739) std_code = 99 .
IF (itemcode=1741) std_code = 66 .
IF (itemcode=1742) std_code = 66 .
IF (itemcode=1743) std_code = 66 .
IF (itemcode=1746) std_code = 66 .
IF (itemcode=1749) std_code = 66 .
IF (itemcode=1750) std_code = 66 .
IF (itemcode=1760) std_code = 66 .
IF (itemcode=1770) std_code = 66 .
IF (itemcode=1780) std_code = 66 .
IF (itemcode=1813) std_code = 99 .
IF (itemcode=1814) std_code = 99 .
IF (itemcode=1815) std_code = 99 .
IF (itemcode=1811) std_code = 99 .
IF (itemcode=1812) std_code = 99 .
IF (itemcode=1821) std_code = 99 .
IF (itemcode=1822) std_code = 99 .
IF (itemcode=1823) std_code = 99 .
EXECUTE.
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'
  /COMPRESSED.
SORT CASES BY
  stratum (A) dzongkha (A) town (A) itemcode (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp1a.SAV'
 /RENAME (case_dzo case_gew case_str mean_dzo mean_gew mean_str med_dzo
  med_gew med_str q_unit = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9)
 /BY stratum dzongkha town itemcode
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9.
EXECUTE.
SORT CASES BY
  stratum (A) dzongkha (A) town (A) itemcode (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp2a.SAV'
 /RENAME (case_dzo case_gew case_str mean_dzo mean_gew mean_str med_dzo
  med_gew med_str q_unit = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9)
 /BY stratum dzongkha town itemcode
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9.
EXECUTE.

* In last two weeks.

RENAME VARIABLES (q4_unit=q_unit).
SORT CASES BY
  stratum (A) dzongkha (A) itemcode (A) q_unit (A).
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Cases unit'+
 ' codes.sav'
 /RENAME (cases cases2w casestm keepcode = d0 d1 d2 d3)
 /BY stratum dzongkha itemcode q_unit
 /DROP= d0 d1 d2 d3.
EXECUTE.
IF (MISSING(med_prpr)) med_prpr=med_pr.
EXECUTE.
RENAME VARIABLES (q_unit=q4_unit).
IF (bad_code=1 and med_pr>0 and q1_sourc=1) q2_quant = (q5_value/med_pr).
IF (bad_code=1 and med_pr>0 and q1_sourc=1) q4_unit = std_code.
IF (bad_code=1 and med_pr>0 and q1_sourc=2) q2_quant = (q5_value/med_prpr).
IF (bad_code=1 and med_pr>0 and q1_sourc=2) q4_unit = std_code.
EXECUTE.

* In typical month.

RENAME VARIABLES (q9_unit=q_unit).
SORT CASES BY
  stratum (A) dzongkha (A) itemcode (A) q_unit (A).
RENAME VARIABLES (bad_code=bad).
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Cases unit'+
 ' codes.sav'
 /RENAME (cases cases2w casestm keepcode = d0 d1 d2 d3)
 /BY stratum dzongkha itemcode q_unit
 /DROP= d0 d1 d2 d3.
EXECUTE.
IF (MISSING(med_prpr)) med_prpr=med_pr.
EXECUTE.
RENAME VARIABLES (q_unit=q9_unit).
IF (bad_code=1 and med_pr>0 and q1_sourc=1) q7_quant = (q10_mont/med_pr).
IF (bad_code=1 and med_pr>0 and q1_sourc=1) q9_unit = std_code.
IF (bad_code=1 and med_pr>0 and q1_sourc=2) q7_quant = (q10_mont/med_prpr).
IF (bad_code=1 and med_pr>0 and q1_sourc=2) q9_unit = std_code.
EXECUTE.

SORT CASES BY
  stratum (D) dzongkha (D) town (D) block (D) houseno (D) itemcode (D)
  q1_sourc (D) .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp4.sav'
  /DROP bad bad_code mean_pr med_pr med_prpr
  /COMPRESSED.
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp4.sav'.
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS'+
 ' 2003\Data\Block8_edited.sav'
  /COMPRESSED.

* In some cases where no median was available for the specific gewog/item .
* We fix these cases by standardizing the quantity using the median at stratum level.

* Produce a table with the median unit price for standard units at stratum level.
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'.
WEIGHT
  BY weight .
FILTER OFF.
USE ALL.
SELECT IF(q4_unit=std_code and q5_value>0 and q2_quant>0).
EXECUTE .
COMPUTE unitpr = q5_value/q2_quant .
COMPUTE code = itemcode.
EXECUTE .
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= unitpr
  /GBASE=CASES
  /TABLE=code > unitpr   BY stratum
  /STATISTICS
  median( unitpr).
****************************************************.
****************************************************.
* Save this file manually as:                       .
* Median Unit Prices Stratum for Standard Codes.sav'.
* The file must contain the following variables:    .
* itemcode, med_urb, med_rur.
****************************************************.
****************************************************.

* Last two weeks.
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'.
RENAME VARIABLES (q4_unit=q_unit).
SORT CASES BY
  stratum (A) dzongkha (A) itemcode (A) q_unit (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Cases unit'+
 ' codes.sav'
 /RENAME (cases cases2w casestm keepcode = d0 d1 d2 d3)
 /BY stratum dzongkha itemcode q_unit
 /DROP= d0 d1 d2 d3.
EXECUTE.
RENAME VARIABLES (q_unit=q4_unit).
SORT CASES BY
  itemcode (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Median unit Prices'+
 ' Stratum for Standard Codes.sav'
 /BY itemcode.
EXECUTE.
IF (bad_code=1 and stratum=1) q2_quant = (q5_value/med_urb).
IF (bad_code=1 and stratum=2) q2_quant = (q5_value/med_rur).
IF (bad_code=1) q4_unit = std_code.
EXECUTE.
SORT CASES BY
  stratum (D) dzongkha (D) town (D) block (D) houseno (D) itemcode (D)
  q1_sourc (D) .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS'+
 ' 2003\Data\Block8_edited.sav'
  /COMPRESSED.

* Typical month.
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'.
RENAME VARIABLES (q9_unit=q_unit).
SORT CASES BY
  stratum (A) dzongkha (A) itemcode (A) q_unit (A) .
RENAME VARIABLES (bad_code=bad).
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Cases unit'+
 ' codes.sav'
 /RENAME (cases cases2w casestm keepcode = d0 d1 d2 d3)
 /BY stratum dzongkha itemcode q_unit
 /DROP= d0 d1 d2 d3.
EXECUTE.
RENAME VARIABLES (q_unit=q9_unit).
SORT CASES BY
  itemcode (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Median unit Prices'+
 ' Stratum for Standard Codes.sav'
 /BY itemcode.
EXECUTE.
IF (bad_code=1 and stratum=1) q7_quant = (q10_mont/med_urb).
IF (bad_code=1 and stratum=2) q7_quant = (q10_mont/med_rur).
IF (bad_code=1) q9_unit = std_code.
EXECUTE.
SORT CASES BY
  stratum (D) dzongkha (D) town (D) block (D) houseno (D) itemcode (D)
  q1_sourc (D) .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp4.sav'
  /DROP bad bad_code med_urb med_rur 
  /COMPRESSED.
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp4.sav'.
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS'+
 ' 2003\Data\Block8_edited.sav'
  /COMPRESSED.

* ===========================================================================.
* Check records where data available for last 2 weeks but not typical month  .
* and derive data for 12 months.
* ===========================================================================.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'.
IF (q6_month=0 and q7_quant=0 and q10_mont=0 and q5_value>0) imp = 1.
EXECUTE.
IF (imp = 1) q6_month = 12 .
IF (imp = 1) q7_quant = q2_quant*2 .
IF (imp = 1) q9_unit = q4_unit .
IF (imp = 1) q10_mont = q5_value*2 .
EXECUTE .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp4.sav'
  /DROP imp 
  /COMPRESSED.
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp4.sav'.
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'
  /COMPRESSED.

* ========================================================================.
* Identification of outliers in expenditure by item.
* ========================================================================.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block2_edited.sav'.
WEIGHT 
   OFF .
AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\work/temp.SAV'
  /BREAK=stratum dzongkha town block houseno
  /HH_size 'Household size' = N(idno).
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'.
SORT CASES BY
  stratum (A) dzongkha (A) town (A) block (A) houseno (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp.SAV'
 /BY stratum dzongkha town block houseno.
EXECUTE.
COMPUTE pcex_2w = q5_value/HH_size .
COMPUTE pcex_tm = q10_mont/HH_size .
EXECUTE .
RECODE
  pcex_2w pcex_tm  (0=SYSMIS)  .
EXECUTE .
WEIGHT
  BY weight .
USE ALL.
COMPUTE filter_$=(q1_sourc=1).
FILTER BY filter_$.
EXECUTE .
AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/AGGR1.SAV'
  /BREAK=stratum dzongkha itemcode
  /mpce1_2w = MEAN(pcex_2w) /sdpce12w
  = SD(pcex_2w).
AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/AGGR2.SAV'
  /BREAK=stratum dzongkha itemcode
  /mpce1_tm = MEAN(pcex_tm) /sdpce1tm
  = SD(pcex_tm).
USE ALL.
COMPUTE filter_$=(q1_sourc=2).
FILTER BY filter_$.
EXECUTE .
AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/AGGR3.SAV'
  /BREAK=stratum dzongkha itemcode
  /mpce2_2w = MEAN(pcex_2w) /sdpce22w
  = SD(pcex_2w).
AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/AGGR4.SAV'
  /BREAK=stratum dzongkha itemcode
  /mpce2_tm = MEAN(pcex_tm) /sdpce2tm
  = SD(pcex_tm).

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\AGGR1.SAV'.
MATCH FILES /FILE=*
 /FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\AGGR2.SAV'
 /BY stratum dzongkha itemcode.
EXECUTE.
MATCH FILES /FILE=*
 /FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\AGGR3.SAV'
 /BY stratum dzongkha itemcode.
EXECUTE.
MATCH FILES /FILE=*
 /FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\AGGR4.SAV'
 /BY stratum dzongkha itemcode.
EXECUTE.
SORT CASES BY
  stratum (A) dzongkha (A) itemcode (A) .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Means and std'+
 ' dev of per capita exp by item.sav'
  /COMPRESSED.

* Add data on per capita expenditure means and std deviation in Block8 file.
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'.
SORT CASES BY
  stratum (A) dzongkha (A) town (A) block (A) houseno (A).
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp.sav'
 /BY stratum dzongkha town block houseno.
EXECUTE.
IF (q5_value>0) pcexp2w = q5_value/HH_size .
IF (q10_mont>0) pcexptm = q10_mont/HH_size .
EXECUTE .
SORT CASES BY
  stratum (A) dzongkha (A) itemcode (A) .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Means and std dev of'+
 ' per capita exp by item.sav'
 /BY stratum dzongkha itemcode.
EXECUTE.
* Identify possible outliers = hh with pc exp > mean + 3 times std dev for .
* purchased items and pc exp > mean + 2 times std dev for produced items .
IF (q1_sourc=1 and pcexp2w>(mpce1_2w+(3*sdpce12w))) pb_2w_pu = 1 .
IF (q1_sourc=1 and pcexptm>(mpce1_tm+(3*sdpce1tm))) pb_tm_pu = 1 .
IF (q1_sourc=2 and pcexp2w>(mpce2_2w+(2*sdpce22w))) pb_2w_pr = 1 .
IF (q1_sourc=2 and pcexptm>(mpce2_tm+(2*sdpce2tm))) pb_tm_pr = 1 .
EXECUTE .
RECODE
  pb_2w_pu pb_tm_pu pb_2w_pr pb_tm_pr  (SYSMIS=0)  .
EXECUTE .
FREQUENCIES
  VARIABLES=pb_2w_pu pb_tm_pu pb_2w_pr pb_tm_pr
  /ORDER=  ANALYSIS .
IF (mpce1_2w>0) mult2w1 = pcexp2w/mpce1_2w .
IF (mpce1_tm>0) multtm1 = pcexptm/mpce1_tm .
IF (mpce2_2w>0) mult2w2 = pcexp2w/mpce2_2w .
IF (mpce2_tm>0) multtm2 = pcexptm/mpce2_tm .
EXECUTE .
* List probable outliers and fix.
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\outliers.SAV'
  /COMPRESSED.
IF (pcexp2w>1000 or pcexptm>1000) keepit = 1 .
IF (q1_sourc=1 and pcexp2w>500 and pb_2w_pu=1) keepit = 1 .
IF (q1_sourc=1 and pcexptm>500 and pb_tm_pu=1) keepit = 1 .
IF (q1_sourc=2 and pcexp2w>500 and pb_2w_pr=1) keepit = 1 .
IF (q1_sourc=2 and pcexptm>500 and pb_tm_pr=1) keepit = 1 .
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(keepit=1).
EXECUTE .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\outliers.SAV'
  /COMPRESSED.

* Manual check of all these records, and fix if necessary.


* ==============================================.
* Create the final file of food expenditure data.
* ==============================================.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'.
FILTER OFF.
USE ALL.
SELECT IF(q1_sourc=1 and (q5_value>0 or q10_mont>0)).
EXECUTE .
COMPUTE q11_valu=0 .
EXECUTE.
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\_Food_purchased.sav'
  /COMPRESSED.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'.
FILTER OFF.
USE ALL.
SELECT IF(q1_sourc=2and (q5_value>0 or q10_mont>0)).
EXECUTE .
COMPUTE q11_valu=0 .
EXECUTE.
* Minor corrections in source.
* ---------------------------.
DO IF (itemcode=1712 or itemcode=1720 or itemcode=1733 or itemcode=1734 or
  itemcode=1735 or itemcode=1746 or itemcode=1750 or itemcode=1811 or
  itemcode=1822 or itemcode=1823 or itemcode=1912 or itemcode=1911 or
  itemcode=1913 ) .
RECODE
  q1_sourc  (2=1)  .
END IF .
EXECUTE .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\_Food_produced.sav'
  /COMPRESSED.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8_edited.sav'.
FILTER OFF.
USE ALL.
SELECT IF(q11_valu>0).
EXECUTE .
COMPUTE q1_sourc = 3.
EXECUTE.
ADD VALUE LABEL q1_sourc 3 'Received as gift'. 
RECODE
  q2_quant q4_unit q5_value q6_month q7_quant q9_unit q10_mont  (ELSE=0)  .
EXECUTE .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\_Food_received.sav'
  /COMPRESSED.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\_Food_purchased.sav'.
ADD FILES /FILE=*
 /FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\_Food_produced.sav'.
EXECUTE.
ADD FILES /FILE=*
 /FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\_Food_received.sav'.
EXECUTE.
* Annualization of food expenditures by item.
IF (q10_mont>0) qua_annu = q6_month*q7_quant .
IF (q10_mont>0) cod_annu = q9_unit .
IF (q10_mont>0) exp_annu = q6_month*q10_mont .
IF (q10_mont=0 and q5_value>0) qua_annu = q2_quant*26 .
IF (q10_mont=0 and q5_value>0) cod_annu = q4_unit .
IF (q10_mont=0 and q5_value>0) exp_annu = q5_value*26 .
IF (q10_mont=0 and q5_value=0) exp_annu  = q11_valu .
EXECUTE .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Food expenditure.sav'
  /COMPRESSED.


* Add data for food taken away from home   .
* This will be considered as itemcode 1899 .
* =========================================.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8b_original.sav'.
IF (mealsno>0) sharkind = mealsfre/mealsno .
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(sharkind=0).
EXECUTE .
COMPUTE itemcode = 1899 .
COMPUTE q2_quant = 0.
COMPUTE q4_unit = 0.
COMPUTE q5_value = 0.
COMPUTE q6_month = 0.
COMPUTE q7_quant = 0.
COMPUTE q9_unit = 0.
COMPUTE q10_mont=0.
COMPUTE q11_valu = mealsamo .
COMPUTE qua_annu = 0.
COMPUTE cod_annu = 0.
COMPUTE exp_annu = mealsamo*52 .
COMPUTE q1_sourc = 1.
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(exp_annu>0).
EXECUTE .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp1.sav'
  /DROP mealsno mealsfre mealsamo sharkind
  /COMPRESSED.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8b_original.sav'.
IF (mealsno>0) sharkind = mealsfre/mealsno .
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(sharkind>0).
EXECUTE .
COMPUTE itemcode = 1899 .
COMPUTE q2_quant = 0.
COMPUTE q4_unit = 0.
COMPUTE q5_value = 0.
COMPUTE q6_month = 0.
COMPUTE q7_quant = 0.
COMPUTE q9_unit = 0.
COMPUTE q10_mont=0.
COMPUTE q11_valu = mealsamo*sharkind .
COMPUTE qua_annu = 0.
COMPUTE cod_annu = 0.
COMPUTE exp_annu = mealsamo*52*sharkind .
COMPUTE q1_sourc = 3.
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(exp_annu>0).
EXECUTE .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp2.sav'
  /DROP mealsno mealsfre mealsamo sharkind
  /COMPRESSED.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8b_original.sav'.
IF (mealsno>0) sharkind = mealsfre/mealsno .
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(sharkind>0).
EXECUTE .
COMPUTE itemcode = 1899 .
COMPUTE q2_quant = 0.
COMPUTE q4_unit = 0.
COMPUTE q5_value = 0.
COMPUTE q6_month = 0.
COMPUTE q7_quant = 0.
COMPUTE q9_unit = 0.
COMPUTE q10_mont=0.
COMPUTE q11_valu = mealsamo*(1-sharkind) .
COMPUTE qua_annu = 0.
COMPUTE cod_annu = 0.
COMPUTE exp_annu = mealsamo*52*(1-sharkind) .
COMPUTE q1_sourc = 1.
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(exp_annu>0).
EXECUTE .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp3.sav'
  /DROP mealsno mealsfre mealsamo sharkind
  /COMPRESSED.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp1.sav'.
ADD FILES /FILE=*
 /FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp2.sav'.
EXECUTE.
ADD FILES /FILE=*
 /FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp3.sav'.
EXECUTE.
SORT CASES BY
  stratum (A) dzongkha (A) town (A) block (A) houseno (A) itemcode (A)
  q1_sourc (A) .

SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8b_edited.sav'
  /COMPRESSED.


GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Food'+
 ' expenditure.sav'.
ADD FILES /FILE=*
 /FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8b_edited.sav'.
EXECUTE.
SORT CASES BY
  stratum (A) dzongkha (A) town (A) block (A) houseno (A) itemcode (A)
  q1_sourc (A) .
ADD VALUE LABELS itemcode 1899 'Meals taken away from home'.
IF (itemcode >=1111 and itemcode <= 1119) category = 1.
IF (itemcode >=1120 and itemcode <= 1140) category = 2.
IF (itemcode >=1211 and itemcode <= 1300) category = 3.
IF (itemcode >=1410 and itemcode <= 1430) category = 4.
IF (itemcode >=1511 and itemcode <= 1529) category = 5.
IF (itemcode >=1611 and itemcode <= 1619) category = 6.
IF (itemcode >=1621 and itemcode <= 1639) category = 7.
IF (itemcode >=1711 and itemcode <= 1720) category = 8.
IF (itemcode >=1731 and itemcode <= 1739) category = 9.
IF (itemcode >=1741 and itemcode <= 1780) category = 10.
IF (itemcode >=1811 and itemcode <= 1815) category = 11.
IF (itemcode >=1821 and itemcode <= 1823) category = 12.
IF (itemcode = 1899) category = 13.
IF (itemcode >=1911 and itemcode <= 1923) category = 14.
EXECUTE.
VARIABLE LABELS category 'Category of product'.
ADD VALUE LABELS category 
                      1  'Rice'
                      2  'Cereals, cereal preparation and pulses'
                      3  'Dairy products'
                      4  'Fish'
                      5  'Meat'
                      6  'Fruits'
                      7  'Vegetables'
                      8  'Tea and coffee'
                      9  'Cooking oil'
                      10 'Spices and seasonings'
                      11 'Alcoholic beverages'
                      12 'Non-alcoholic beverages'
                      13 'Food taken away from home'
                      14 'Tobacco and doma'.
ADD VALUE LABELS itemcode 1899 'Meals taken away from home'.
ADD VALUE LABELS q1_sourc 3 'Received'.

SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8ab_edited.sav'
  /COMPRESSED.


*************************************************************************************.
* Impute meals taken away from home for 3 households that have food expenditure = 0  .
* We impute meals taken away from home = 40,12% of the non-food expenditure          .
*************************************************************************************.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8ab_edited.sav'.
ADD FILES /FILE=*
 /FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\three HH.sav'
 /RENAME (category mean std_code = d0 d1 d2)
 /DROP= d0 d1 d2.
EXECUTE.
SORT CASES BY
  stratum (A) dzongkha (A) town (A) block (A) houseno (A) itemcode (A)
  q1_sourc (A) .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8ab_edited.sav'
  /COMPRESSED.

* Aggregation of food expenditure .
* ================================.

* By source.
* ---------.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8ab_edited.sav'.

RENAME VARIABLES (q1_sourc=source).

FILTER OFF.
USE ALL.
SELECT IF(stratum=1).
EXECUTE .

AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/temp1.SAV'
  /BREAK=stratum dzongkha town block houseno itemcode source
  /exp_annu 'HH expenditure by item' = SUM(exp_annu)
  /weight = FIRST(weight).

AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/temp2.SAV'
  /BREAK=stratum dzongkha town block houseno category source
  /exp_annu 'HH expenditure by item' = SUM(exp_annu)
  /weight = FIRST(weight).

AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/temp3.SAV'
  /BREAK=stratum dzongkha town block houseno source 
  /exp_annu 'HH food expenditure total' = SUM(exp_annu)
  /weight = FIRST(weight).

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8ab_edited.sav'.

RENAME VARIABLES (q1_sourc=source).

FILTER OFF.
USE ALL.
SELECT IF(stratum=2).
EXECUTE .

AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/temp1a.SAV'
  /BREAK=stratum dzongkha town block houseno itemcode source
  /exp_annu 'HH expenditure by item' = SUM(exp_annu)
  /weight = FIRST(weight).

AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/temp2a.SAV'
  /BREAK=stratum dzongkha town block houseno category source
  /exp_annu 'HH expenditure by item' = SUM(exp_annu)
  /weight = FIRST(weight).

AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/temp3a.SAV'
  /BREAK=stratum dzongkha town block houseno source 
  /exp_annu 'HH food expenditure total' = SUM(exp_annu)
  /weight = FIRST(weight).

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp1.sav'.
ADD FILES /FILE=*
 /FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp1a.SAV'.
EXECUTE.
SORT CASES BY
  stratum (A) dzongkha (A) town (A) block (A) houseno (A) itemcode (A) source
  (A) .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Food'+
 ' expenditure by item and source.sav'
  /COMPRESSED.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp2.sav'.
ADD FILES /FILE=*
 /FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp2a.SAV'.
EXECUTE.
SORT CASES BY
  stratum (A) dzongkha (A) town (A) block (A) houseno (A) category (A) source
  (A) .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Food'+
 ' expenditure by category and source.sav'
  /COMPRESSED.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp3.sav'.
ADD FILES /FILE=*
 /FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp3a.SAV'.
EXECUTE.
SORT CASES BY
  stratum (A) dzongkha (A) town (A) block (A) houseno (A) source
  (A) .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Food'+
 ' expenditure total by source.sav'
  /COMPRESSED.

* Not by source.
* -------------.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8ab_edited.sav'.

FILTER OFF.
USE ALL.
SELECT IF(stratum=1).
EXECUTE .

AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/temp1.SAV'
  /BREAK=stratum dzongkha town block houseno itemcode
  /exp_annu 'HH expenditure by item' = SUM(exp_annu)
  /weight = FIRST(weight).

AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/temp2.SAV'
  /BREAK=stratum dzongkha town block houseno category 
  /exp_annu 'HH expenditure by item' = SUM(exp_annu)
  /weight = FIRST(weight).

AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/temp3.SAV'
  /BREAK=stratum dzongkha town block houseno 
  /exp_annu 'HH food expenditure total' = SUM(exp_annu)
  /weight = FIRST(weight).

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8ab_edited.sav'.

FILTER OFF.
USE ALL.
SELECT IF(stratum=2).
EXECUTE .

AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/temp1a.SAV'
  /BREAK=stratum dzongkha town block houseno itemcode 
  /exp_annu 'HH expenditure by item' = SUM(exp_annu)
  /weight = FIRST(weight).

AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/temp2a.SAV'
  /BREAK=stratum dzongkha town block houseno category 
  /exp_annu 'HH expenditure by item' = SUM(exp_annu)
  /weight = FIRST(weight).

AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/temp3a.SAV'
  /BREAK=stratum dzongkha town block houseno  
  /exp_annu 'HH food expenditure total' = SUM(exp_annu)
  /weight = FIRST(weight).

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp1.sav'.
ADD FILES /FILE=*
 /FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp1a.SAV'.
EXECUTE.
SORT CASES BY
  stratum (A) dzongkha (A) town (A) block (A) houseno (A) itemcode (A) .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Food'+
 ' expenditure by item.sav'
  /COMPRESSED.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp2.sav'.
ADD FILES /FILE=*
 /FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp2a.SAV'.
EXECUTE.
SORT CASES BY
  stratum (A) dzongkha (A) town (A) block (A) houseno (A) category (A) .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Food'+
 ' expenditure by category.sav'
  /COMPRESSED.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp3.sav'.
ADD FILES /FILE=*
 /FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp3a.SAV'.
EXECUTE.
SORT CASES BY
  stratum (A) dzongkha (A) town (A) block (A) houseno (A) .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Food'+
 ' expenditure total.sav'
  /COMPRESSED.

* Label variables. 

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Food expenditure by'+
 ' item and source.SAV'.
IF (itemcode >=1111 and itemcode <= 1119) category = 1.
IF (itemcode >=1120 and itemcode <= 1140) category = 2.
IF (itemcode >=1211 and itemcode <= 1300) category = 3.
IF (itemcode >=1410 and itemcode <= 1430) category = 4.
IF (itemcode >=1511 and itemcode <= 1529) category = 5.
IF (itemcode >=1611 and itemcode <= 1619) category = 6.
IF (itemcode >=1621 and itemcode <= 1639) category = 7.
IF (itemcode >=1711 and itemcode <= 1720) category = 8.
IF (itemcode >=1731 and itemcode <= 1739) category = 9.
IF (itemcode >=1741 and itemcode <= 1780) category = 10.
IF (itemcode >=1811 and itemcode <= 1815) category = 11.
IF (itemcode >=1821 and itemcode <= 1823) category = 12.
IF (itemcode = 1899) category = 13.
IF (itemcode >=1911 and itemcode <= 1923) category = 14.
EXECUTE.
VARIABLE LABELS category 'Category of product'.
ADD VALUE LABELS category 
                      1  'Rice'
                      2  'Cereals, cereal preparation and pulses'
                      3  'Dairy products'
                      4  'Fish'
                      5  'Meat'
                      6  'Fruits'
                      7  'Vegetables'
                      8  'Tea and coffee'
                      9  'Cooking oil'
                      10 'Spices and seasonings'
                      11 'Alcoholic beverages'
                      12 'Non-alcoholic beverages'
                      13 'Food taken away from home'
                      14 'Tobacco and doma'.
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Food'+
 ' expenditure by item and source.SAV'
  /COMPRESSED.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Food expenditure by'+
 ' item.SAV'.
IF (itemcode >=1111 and itemcode <= 1119) category = 1.
IF (itemcode >=1120 and itemcode <= 1140) category = 2.
IF (itemcode >=1211 and itemcode <= 1300) category = 3.
IF (itemcode >=1410 and itemcode <= 1430) category = 4.
IF (itemcode >=1511 and itemcode <= 1529) category = 5.
IF (itemcode >=1611 and itemcode <= 1619) category = 6.
IF (itemcode >=1621 and itemcode <= 1639) category = 7.
IF (itemcode >=1711 and itemcode <= 1720) category = 8.
IF (itemcode >=1731 and itemcode <= 1739) category = 9.
IF (itemcode >=1741 and itemcode <= 1780) category = 10.
IF (itemcode >=1811 and itemcode <= 1815) category = 11.
IF (itemcode >=1821 and itemcode <= 1823) category = 12.
IF (itemcode = 1899) category = 13.
IF (itemcode >=1911 and itemcode <= 1923) category = 14.
EXECUTE.
VARIABLE LABELS category 'Category of product'.
ADD VALUE LABELS category 
                      1  'Rice'
                      2  'Cereals, cereal preparation and pulses'
                      3  'Dairy products'
                      4  'Fish'
                      5  'Meat'
                      6  'Fruits'
                      7  'Vegetables'
                      8  'Tea and coffee'
                      9  'Cooking oil'
                      10 'Spices and seasonings'
                      11 'Alcoholic beverages'
                      12 'Non-alcoholic beverages'
                      13 'Food taken away from home'
                      14 'Tobacco and doma'.
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Food'+
 ' expenditure by item.SAV'
  /COMPRESSED.


* Compute per capita food expenditure and identify outliers.
* =========================================================.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block2_edited.sav'.
WEIGHT 
   OFF .
AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work/AGGR.SAV'
  /BREAK=stratum dzongkha town block houseno
  /HH_size 'Household size' = N(idno).
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Food expenditure'+
 ' total.SAV'.
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\AGGR.sav'
 /BY stratum dzongkha town block houseno.
EXECUTE.
COMPUTE pc_fexp = exp_annu/hh_size .
EXECUTE.
COMPUTE pc_f_mo = pc_fexp/12.
COMPUTE hh_f_mo = exp_annu/12.
EXECUTE .
VARIABLE LABELS pc_fexp 'Per capita annual food expenditure (incl. tobacco)'
               /pc_f_mo 'Per capita monthly food expenditure (incl. tobacco)' 
               /hh_f_mo 'Household monthly food expenditure (incl. tobacco)' .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Food'+
 ' expenditure total.SAV'
  /COMPRESSED.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= pc_fexp
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=dzongkha > pc_fexp + $t000002  BY stratum > (STATISTICS) + $t000001
  /STATISTICS
  mean( pc_fexp)
  median( pc_fexp)
  minimum( pc_fexp)
  maximum( pc_fexp).
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= pc_fexp
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=dzongkha > pc_fexp + $t000002  BY stratum > (STATISTICS) + $t000001
  /STATISTICS
  mean( pc_fexp).
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= pc_f_mo 
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=dzongkha > pc_f_mo + $t000002  BY stratum > (STATISTICS) + $t000001
  /STATISTICS
  mean( pc_f_mo ).
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= hh_f_mo 
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=dzongkha > hh_f_mo + $t000002  BY stratum > (STATISTICS) + $t000001
  /STATISTICS
  mean( hh_f_mo ).


* Tabulation on share of expenditure by category.
* ==============================================.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Food expenditure by'+
 ' category.SAV'.
USE ALL.
SELECT IF(category<13).
EXECUTE .
WEIGHT
  BY weight .
AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\wORK/AGGR.SAV'
  /BREAK=stratum category
  /exp_anNU = SUM(exp_annu).
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\AGGR.SAV'.
FILTER OFF.
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= exp_annu
  /GBASE=CASES
  /FTOTAL= $t000001 "Total"
  /TABLE=category + $t000001  BY stratum > exp_annu
  /STATISTICS
  spct( exp_annu( PCT5.1 ) 'Col Sum %':stratum ).

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Food expenditure'+
 ' by item.SAV'.
RENAME VARIABLES (exp_annu=exp_item).
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Food expenditure'+
 ' total.SAV'
 /RENAME (weight = d0)
 /BY stratum dzongkha town block houseno
 /DROP= d0.
EXECUTE.
COMPUTE shr_item = exp_item/exp_annu .
VARIABLE LABELS shr_item 'Share of item in total food expenditure' .
EXECUTE .
WEIGHT
  BY weight .
COMPUTE srh100 = shr_item*100 .
EXECUTE .
USE ALL.
COMPUTE filter_$=(itemcode<1899).
FILTER BY filter_$.
EXECUTE .
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= srh100
  /GBASE=CASES
  /FTOTAL= $t000001 "Total"
  /TABLE=itemcode + $t000001  BY stratum > (STATISTICS) > srh100>
  (STATISTICS)   .

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Food expenditure'+
 ' by category.SAV'.
RENAME VARIABLES (exp_annu=exp_cate).
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Food expenditure'+
 ' total.SAV'
 /RENAME (weight = d0)
 /BY stratum dzongkha town block houseno
 /DROP= d0.
EXECUTE.
COMPUTE shr_cate = exp_cate/exp_annu .
VARIABLE LABELS shr_cate 'Share of category in total food expenditure' .
EXECUTE .
WEIGHT
  BY weight .
COMPUTE srh100 = shr_cate*100 .
EXECUTE .
USE ALL.
COMPUTE filter_$=(category<13).
FILTER BY filter_$.
EXECUTE .
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= srh100
  /GBASE=CASES
  /FTOTAL= $t000001 "Total"
  /TABLE=category + $t000001  BY stratum > (STATISTICS) > srh100>
  (STATISTICS)   .

* Create one file which gives the standard code for each item.
* -----------------------------------------------------------.
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Block8ab_edited.sav'.
AGGREGATE
  /OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Standard Codes by'+
 ' Item.sav'
  /BREAK=itemcode
  /std_code = N(stratum).
GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Standard Codes by'+
 ' Item.sav'.
IF (itemcode=1111) std_code = 66 .
IF (itemcode=1112) std_code = 66 .
IF (itemcode=1113) std_code = 66 .
IF (itemcode=1114) std_code = 66 .
IF (itemcode=1119) std_code = 66 .
IF (itemcode=1120) std_code = 66 .
IF (itemcode=1136) std_code = 66 .
IF (itemcode=1131) std_code = 66 .
IF (itemcode=1132) std_code = 66 .
IF (itemcode=1133) std_code = 66 .
IF (itemcode=1134) std_code = 66 .
IF (itemcode=1137) std_code = 66 .
IF (itemcode=1140) std_code = 66 .
IF (itemcode=1211) std_code = 99 .
IF (itemcode=1212) std_code = 99 .
IF (itemcode=1215) std_code = 66 .
IF (itemcode=1219) std_code = 99 .
IF (itemcode=1222) std_code = 66 .
IF (itemcode=1223) std_code = 66 .
IF (itemcode=1224) std_code = 66 .
IF (itemcode=1225) std_code = 66 .
IF (itemcode=1300) std_code = 30 .
IF (itemcode=1410) std_code = 66 .
IF (itemcode=1420) std_code = 66 .
IF (itemcode=1430) std_code = 66 .
IF (itemcode=1511) std_code = 66 .
IF (itemcode=1512) std_code = 66 .
IF (itemcode=1513) std_code = 66 .
IF (itemcode=1514) std_code = 66 .
IF (itemcode=1515) std_code = 66 .
IF (itemcode=1519) std_code = 66 .
IF (itemcode=1521) std_code = 66 .
IF (itemcode=1522) std_code = 66 .
IF (itemcode=1523) std_code = 66 .
IF (itemcode=1529) std_code = 66 .
IF (itemcode=1611) std_code = 66 .
IF (itemcode=1612) std_code = 66 .
IF (itemcode=1613) std_code = 66 .
IF (itemcode=1614) std_code = 66 .
IF (itemcode=1615) std_code = 66 .
IF (itemcode=1616) std_code = 66 .
IF (itemcode=1619) std_code = 66 .
IF (itemcode=1621) std_code = 66 .
IF (itemcode=1622) std_code = 66 .
IF (itemcode=1623) std_code = 66 .
IF (itemcode=1624) std_code = 66 .
IF (itemcode=1625) std_code = 66 .
IF (itemcode=1626) std_code = 66 .
IF (itemcode=1627) std_code = 66 .
IF (itemcode=1628) std_code = 66 .
IF (itemcode=1629) std_code = 66 .
IF (itemcode=1630) std_code = 66 .
IF (itemcode=1631) std_code = 66 .
IF (itemcode=1632) std_code = 66 .
IF (itemcode=1633) std_code = 66 .
IF (itemcode=1639) std_code = 66 .
IF (itemcode=1711) std_code = 66 .
IF (itemcode=1712) std_code = 66 .
IF (itemcode=1720) std_code = 66 .
IF (itemcode=1731) std_code = 99 .
IF (itemcode=1732) std_code = 99 .
IF (itemcode=1733) std_code = 66 .
IF (itemcode=1734) std_code = 99 .
IF (itemcode=1735) std_code = 99 .
IF (itemcode=1739) std_code = 99 .
IF (itemcode=1741) std_code = 66 .
IF (itemcode=1742) std_code = 66 .
IF (itemcode=1743) std_code = 66 .
IF (itemcode=1746) std_code = 66 .
IF (itemcode=1749) std_code = 66 .
IF (itemcode=1750) std_code = 66 .
IF (itemcode=1760) std_code = 66 .
IF (itemcode=1770) std_code = 66 .
IF (itemcode=1780) std_code = 66 .
IF (itemcode=1813) std_code = 99 .
IF (itemcode=1814) std_code = 99 .
IF (itemcode=1815) std_code = 99 .
IF (itemcode=1811) std_code = 99 .
IF (itemcode=1812) std_code = 99 .
IF (itemcode=1821) std_code = 99 .
IF (itemcode=1822) std_code = 99 .
IF (itemcode=1823) std_code = 99 .
EXECUTE.
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\Standard Codes'+
 ' by Item.sav'
  /COMPRESSED.

* Erase temporary file.

ERASE FILE = 'C:\_OD\Databank\Bhutan\BLSS 2003\Data\Food expenditure.sav'.
ERASE FILE = 'C:\_OD\Databank\Bhutan\BLSS 2003\Work\AGGR.sav'.
ERASE FILE = 'C:\_OD\Databank\Bhutan\BLSS 2003\Work\AGGR1.sav'.
ERASE FILE = 'C:\_OD\Databank\Bhutan\BLSS 2003\Work\AGGR2.sav'.
ERASE FILE = 'C:\_OD\Databank\Bhutan\BLSS 2003\Work\AGGR3.sav'.
ERASE FILE = 'C:\_OD\Databank\Bhutan\BLSS 2003\Work\AGGR4.sav'.
ERASE FILE = 'C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp.sav'.
ERASE FILE = 'C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp_b.sav'.
ERASE FILE = 'C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp1.sav'.
ERASE FILE = 'C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp1.sav'.
ERASE FILE = 'C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp1a.sav'.
ERASE FILE = 'C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp2.sav'.
ERASE FILE = 'C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp2a.sav'.
ERASE FILE = 'C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp3.sav'.
ERASE FILE = 'C:\_OD\Databank\Bhutan\BLSS 2003\Work\temp3a.sav'.
ERASE FILE = 'C:\_OD\Databank\Bhutan\BLSS 2003\Work\_Food_purchased.sav'.
ERASE FILE = 'C:\_OD\Databank\Bhutan\BLSS 2003\Work\_Food_produced.sav'.
ERASE FILE = 'C:\_OD\Databank\Bhutan\BLSS 2003\Work\_Food_received.sav'.



