* Compute number of people/hh by urban/rural and poor/non poor.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\HH Poverty Status.sav'.
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\Weight.sav'
 /BY stratum dzongkha town block.
EXECUTE.
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\hhsize.sav'
 /RENAME (weight = d0)
 /BY stratum dzongkha town block houseno
 /DROP= d0.
EXECUTE.
WEIGHT
  BY popw .
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000001 "Total"
  /TABLE=stratum + $t000002  BY upl_med > (STATISTICS) + $t000001  .

* Produce expenditure tables.

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\All expenditure by item and source.sav'.
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Work\hhsize.sav'
 /RENAME (weight = d0)
 /BY stratum dzongkha town block houseno
 /DROP= d0.
EXECUTE.
COMPUTE pcexp = exp_annu/hh_size .
COMPUTE popw = hh_size*weight.
EXECUTE .
MATCH FILES /FILE=*
 /TABLE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\HH Poverty Status.sav'
 /RENAME (lpl_mean lpl_med popw upl_mean = d0 d1 d2 d3)
 /BY stratum dzongkha town block houseno
 /DROP= d0 d1 d2 d3.
EXECUTE.
FILTER OFF.
USE ALL.
SELECT IF(weight>0 and ~MISSING(upl_med) and exp_annu>0).
EXECUTE .
SAVE OUTFILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\All expenditure by item and source.sav'
  /COMPRESSED.
WEIGHT
  BY weight .
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= exp_annu
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=itemcode + $t000003  BY stratum > exp_annu + $t000002
  /STATISTICS
  sum( exp_annu).
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= exp_annu
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=category + $t000003  BY stratum > exp_annu + $t000002
  /STATISTICS
  sum( exp_annu).

TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= exp_annu
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=itemcode + $t000003  BY upl_med > exp_annu + $t000002
  /STATISTICS
  sum( exp_annu).
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= exp_annu
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=category + $t000003  BY upl_med > exp_annu + $t000002
  /STATISTICS
  sum( exp_annu).

GET
  FILE='C:\_OD\Databank\Bhutan\BLSS 2003\Data\All expenditure by item and'+
 ' source.sav'.
WEIGHT
  BY weight .
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= exp_annu
  /GBASE=CASES
  /FTOTAL= $t000002 "Total" $t000003 "Total"
  /TABLE=itemcode > exp_annu + $t000002  BY source > (STATISTICS) + $t000003
  /STATISTICS
  sum( exp_annu).
* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= exp_annu
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=itemcode + $t000003  BY stratum > ( source > exp_annu + $t000002  )
  /STATISTICS
  sum( exp_annu).


TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= exp_annu
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=category + $t000003  BY source > exp_annu + $t000002
  /STATISTICS
  sum( exp_annu).
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION= exp_annu
  /GBASE=CASES
  /FTOTAL= $t000003 "Total" $t000002 "Total"
  /TABLE=category + $t000003  BY stratum > ( source > exp_annu + $t000002  )
  /STATISTICS
  sum( exp_annu).
